
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.

%define rel 6
%define framework plasma-workspace

%define bootstrap 0

Summary:        KF 5 application workspace components
Name:           plasma-workspace
Version: 5.8.7
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
Source1:        kde.pam
Patch0:         plasma-workspace-5.7.95-konsole-in-contextmenu.patch
Patch1:         plasma-workspace-5.7.95-remove-XDG_DATA_DIRS.patch
Patch2:         plasma-workspace-5.7.3-mageia-defaults.patch
## Downstream patches
# revert (semi) regresssion wrt systray icon sizes, http://bugs.kde.org/365570
#Patch10:        plasma-workspace-5.7.4-systray_iconSizes.patch

# Upstream branch patches P100 -> P199
# git format-patch ffe7d7fab46ca968963a8dbf008238cf68a75ce0

#Upstream master patches P200 -> P299
Patch200:       9df815e843a4385465fff0cb9a76ddc94ed35b38.patch
Patch201:       7df184afa19f148c1cd09ae9588645bb2b4556fc.patch

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5QuickWidgets)

BuildRequires:  kf5-macros
BuildRequires:  baloo-devel
BuildRequires:  kdoctools-devel
BuildRequires:  plasma-framework-devel
BuildRequires:  kdesu-devel
BuildRequires:  knewstuff-devel
BuildRequires:  kwallet-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kidletime-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kdelibs4support-devel
BuildRequires:  kcrash-devel
BuildRequires:  krunner-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  kjsembed-devel
BuildRequires:  kdewebkit-devel
BuildRequires:  libksysguard-devel
BuildRequires:  libkscreen-devel
BuildRequires:  kwin-devel
BuildRequires:  kactivities-devel
BuildRequires:  kfilemetadata-devel
BuildRequires:  ktexteditor-devel
BuildRequires:  kinit-devel
BuildRequires:  kwayland-devel
BuildRequires:  networkmanager-qt-devel
BuildRequires:  kxmlrpcclient-devel
BuildRequires:  kcmutils-devel
BuildRequires:  kscreenlocker-devel
BuildRequires:  kholidays-devel

BuildRequires:  cmake(Breeze)

BuildRequires:  prison-devel
BuildRequires:  qalculate-devel
BuildRequires:  libgpsd-devel
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl
BuildRequires:  pam-devel
BuildRequires:  libnm-devel
BuildRequires:  pkgconfig(xtst)

%if ! %{bootstrap}
BuildRequires:  cmake(LibKWorkspace)
%endif

Requires:       kdeclarative
Requires:       qtdeclarative5
Requires:       qtquickcontrols5
Requires:       qtgraphicaleffects5
Requires:       oxygen
Requires:       xmessage
Requires:       kded
Requires:       kio
%if ! %{bootstrap}
Requires:       plasma-desktop
%endif
Requires:       plasma-framework
Requires:       plasma5-milou
Requires:       solid
Requires:       breeze
Requires:       breeze-icons
Requires:       breeze-gtk
Requires:       kde-gtk-config
Requires:       kwin
Requires:       libkscreen
Requires:       kinit
Requires:       qttools5
Requires:       qttools5-qtdbus
Requires:       kservice
Requires:       frameworkintegration
Requires:       oxygen-icons5
Requires:       oxygen-fonts
Requires:       udisks2
Requires:       desktop-common-data >= 3.9-3
Requires:       kwindowsystem
Requires:       bluez-qt
Requires:       konsole
Requires:       kscreenlocker
Requires:       plasma-integration
Requires:       mageia-plasma5-config
Requires:       kinfocenter

Recommends:     task-codec-audio
Recommends:     task-codec-video

# duplicated files with KDE 4
Conflicts:      kde-l10n < 15.04.0
Conflicts:      kdebase4-workspace < 2:4.11.23
Conflicts:      desktop-common-data < 1:3.10-2

Conflicts:      mageia-plasma5-config < 6-21

Obsoletes:      kde-workspace < 2:4.11.23

%description
KF 5 application workspace components.

%triggerpostun -- kdebase4-workspace < 2:4.11.23
if [ -e %{_datadir}/xsessions/01KDE4.desktop ]; then
        rm -rf %{_datadir}/xsessions/01KDE4.desktop
fi

%posttrans
if [ "$1" -eq 1 ]; then
	if [ -e %{_datadir}/xsessions/02Plasma.desktop ]; then
		rm -rf %{_datadir}/xsessions/02Plasma.desktop
	fi
fi

%files -f %name.lang
%_kf5_datadir/xsessions/01plasma.desktop
%_kf5_sysconfdir/xdg/autostart/krunner.desktop
%_kf5_sysconfdir/xdg/autostart/plasmashell.desktop
%_kf5_sysconfdir/xdg/autostart/xembedsniproxy.desktop
%_kf5_sysconfdir/xdg/plasmoids.knsrc
%_kf5_sysconfdir/xdg/wallpaper.knsrc
%_kf5_sysconfdir/xdg/taskmanagerrulesrc
%_kf5_sysconfdir/xdg/autostart/klipper.desktop
%_kf5_sysconfdir/pam.d/kde
%_kf5_bindir/kcheckrunning
%_kf5_bindir/kcminit
%_kf5_bindir/kcminit_startup
%_kf5_bindir/kdostartupconfig5
%_kf5_bindir/klipper
%_kf5_bindir/krunner
%_kf5_bindir/ksmserver
%_kf5_bindir/ksplashqml
%_kf5_bindir/kstartupconfig5
%_kf5_bindir/kuiserver5
%_kf5_bindir/plasmashell
%_kf5_bindir/startkde
%_kf5_bindir/systemmonitor
%_kf5_bindir/plasmawindowed
%_kf5_bindir/xembedsniproxy
%_libexecdir/ksmserver-logout-greeter
%_kf5_libdir/libkdeinit5_*
%_kf5_datadir/sddm/themes/breeze
%_kf5_datadir/solid/actions/test-predicate-openinwindow.desktop
%_kf5_datadir/plasma/wallpapers/org.kde.image
%_kf5_datadir/plasma/wallpapers/org.kde.slideshow
%_kf5_datadir/plasma/wallpapers/org.kde.color
%_kf5_datadir/plasma/services/*
%_kf5_datadir/kio_desktop
%_kf5_datadir/applications/plasma-windowed.desktop
%_kf5_services/*.desktop
%_kf5_datadir/desktop-directories/*
%_kf5_qmldir/org/kde/plasma/private/digitalclock
%_kf5_qmldir/org/kde/plasma/private/icon
%_kf5_qmldir/org/kde/plasma/private/notifications
%_kf5_qmldir/org/kde/plasma/private/shell
%_kf5_qmldir/org/kde/plasma/wallpapers
%_kf5_qmldir/org/kde/plasma/workspace
%_kf5_qmldir/org/kde/plasma/private/sessions
%_kf5_qmldir/org/kde/taskmanager
%_kf5_qmldir/org/kde/holidayeventshelperplugin/
%_qt5_plugindir/*.so
%_qt5_plugindir/plasma/dataengine/*.so
%_qt5_plugindir/kpackage/packagestructure/*
%_kf5_plugindir/kio/desktop.so
%_kf5_plugindir/kded/*.so
%_kf5_datadir/plasma/look-and-feel/org.kde.breeze.desktop
%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemtray
%_datadir/dbus-1/interfaces/*.xml
%_datadir/dbus-1/services/*.service
%_qt5_plugindir/phonon_platform
%_qt5_plugindir/plasma/packagestructure
%_qt5_plugindir/plasma/applets/plasma_applet_notifications.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.private.systemtray.so
%_qt5_plugindir/plasma/applets/org.kde.plasma.systemtray.so
%_qt5_plugindir/plasma/applets/plasma_applet_calendar.so
%_qt5_plugindir/plasmacalendarplugins/
%_libexecdir/drkonqi
%_libexecdir/ksyncdbusenv
%_kf5_datadir/applications/org.kde.klipper.desktop
%_kf5_datadir/config.kcfg/freespacenotifier.kcfg
%_kf5_datadir/drkonqi/debuggers/external/gdbrc
%_kf5_datadir/drkonqi/debuggers/external/kdbgrc
%_kf5_datadir/drkonqi/debuggers/internal/dbxrc
%_kf5_datadir/drkonqi/debuggers/internal/gdbrc
%_kf5_datadir/drkonqi/debuggers/internal/kdbgwinrc
%_kf5_datadir/drkonqi/mappings
%_kf5_knotificationsdir/*.notifyrc
%_kf5_services/*.protocol
%_kf5_servicetypes/*.desktop
%_kf5_datadir/ksmserver/themes/contour
%_kf5_datadir/ksmserver/themes/default
%_kf5_datadir/ksplash/Themes/Classic
%_kf5_datadir/ksplash/Themes/Minimalistic
%_kf5_datadir/ksplash/Themes/None/Theme.rc
%_kf5_datadir/kstyle/themes/*.themerc
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.activitybar
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.analogclock
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.battery
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.calendar
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.devicenotifier
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.digitalclock
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.icon
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.lock_logout
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.mediacontroller
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.notifications
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.panelspacer
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.clipboard
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.cpu
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.diskactivity
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.diskusage
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.memory
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.systemmonitor.net
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.private.systemtray
%_kf5_datadir/plasma/shareprovider/im9
%_kf5_datadir/plasma/shareprovider/imgsusepasteorg
%_kf5_datadir/plasma/shareprovider/imgur
%_kf5_datadir/plasma/shareprovider/kde
%_kf5_datadir/plasma/shareprovider/pastebincom
%_kf5_datadir/plasma/shareprovider/pasteopensuseorg
%_kf5_datadir/plasma/shareprovider/pasteubuntucom
%_kf5_datadir/plasma/shareprovider/privatepastecom
%_kf5_datadir/plasma/shareprovider/simplestimagehosting
%_kf5_datadir/plasma/shareprovider/wklej
%_kf5_datadir/plasma/shareprovider/wstaw
%_kf5_appdatadir/org.kde.plasma*.appdata.xml
%if ! %{bootstrap}
%_kf5_appdatadir/org.kde.breeze.desktop.appdata.xml
%_kf5_appdatadir/org.kde.color.appdata.xml
%_kf5_appdatadir/org.kde.image.appdata.xml
%_kf5_appdatadir/org.kde.slideshow.appdata.xml
%endif

#--------------------------------------------------------------------

%package wayland
Summary:        Wayland support for Plasma
Requires:       %{name} = %{version}-%{release}
Requires:       kwin-wayland >= %{version}
Requires:       kwayland-integration
Requires:       qtwayland5

# startplasmacompositor deps
Requires:       qttools5

%description wayland
%{summary}.

%files wayland
%{_kf5_bindir}/startplasmacompositor
%{_libexecdir}/startplasma
%{_datadir}/wayland-sessions/plasmawayland.desktop

#--------------------------------------------------------------------

%define weather_ion_major 7
%define libweather_ion %mklibname weather_ion %{weather_ion_major}

%package -n %libweather_ion
Summary:      KF 5 application workspace components
Group:        System/Libraries

%description -n %libweather_ion
KF 5 application workspace components.

%files -n %libweather_ion
%_kf5_libdir/libweather_ion.so.%{weather_ion_major}*

#--------------------------------------------------------------------

%define taskmanager_major 5
%define libtaskmanager %mklibname taskmanager %{taskmanager_major}

%package -n %libtaskmanager
Summary:      KF 5 application workspace components
Group:        System/Libraries

%description -n %libtaskmanager
KF 5 application workspace components.

%files -n %libtaskmanager
%_kf5_libdir/libtaskmanager.so.%{taskmanager_major}*
%_kf5_libdir/libtaskmanager.so.6

#--------------------------------------------------------------------

%define plasma_geolocation_interface_major 5
%define libplasma_geolocation_interface %mklibname plasma-geolocation-interface %{plasma_geolocation_interface_major}

%package -n %libplasma_geolocation_interface
Summary:      KF 5 application workspace components
Group:        System/Libraries

%description -n %libplasma_geolocation_interface
KF 5 application workspace components.

%files -n %libplasma_geolocation_interface
%_kf5_libdir/libplasma-geolocation-interface.so.%{plasma_geolocation_interface_major}*

#--------------------------------------------------------------------

%define kworkspace_major 5
%define libkworkspace %mklibname kworkspace %{kworkspace_major}

%package -n %libkworkspace
Summary:      KF 5 application workspace components
Group:        System/Libraries

%description -n %libkworkspace
KF 5 application workspace components.

%files -n %libkworkspace
%_kf5_libdir/libkworkspace5.so.%{kworkspace_major}*

#--------------------------------------------------------------------

%define plasma_workspace_devel %mklibname plasma-workspace -d

%package -n %plasma_workspace_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libweather_ion = %version-%release
Requires:       %libtaskmanager = %version-%release
Requires:       %libplasma_geolocation_interface = %version-%release
Requires:       %libkworkspace = %version-%release
Requires:       plasma-workspace = %version-%release
Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel < 2:5.0.0

%description -n %plasma_workspace_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %plasma_workspace_devel
%_includedir/kworkspace5
%_includedir/plasma/geolocation/geolocation_export.h
%_includedir/plasma/geolocation/geolocationprovider.h
%_includedir/plasma/weather
%_includedir/taskmanager
%_kf5_libdir/cmake/KRunnerAppDBusInterface
%_kf5_libdir/cmake/KSMServerDBusInterface
%_kf5_libdir/cmake/LibKWorkspace
%_kf5_libdir/cmake/LibTaskManager
%_kf5_libdir/libkworkspace5.so
%_kf5_libdir/libplasma-geolocation-interface.so
%_kf5_libdir/libtaskmanager.so
%_kf5_libdir/libweather_ion.so
%_kf5_datadir/kdevappwizard/templates/ion-dataengine.tar.bz2

#--------------------------------------------------------------------

%package handbook
Summary: %name Handbook
BuildArch: noarch

Conflicts: kde-l10n-handbooks-de < 5.8.6
Conflicts: kde-l10n-handbooks-it < 5.8.6
Conflicts: kde-l10n-handbooks-nl < 5.8.6
Conflicts: kde-l10n-handbooks-pt_BR < 5.8.6
Conflicts: kde-l10n-handbooks-sv < 5.8.6
Conflicts: kde-l10n-handbooks-uk < 5.8.6

Obsoletes: kdebase4-workspace-handbooks < 2:5.0.0

# duplicated files with KDE 4
Conflicts: kdebase4-workspace-handbooks < 2:5.0.0
Conflicts: kde-l10n-handbook < 5.8.6

%description handbook

This package provides %name Handbook.

%files handbook 
%doc %_kf5_docdir/HTML/*/klipper
%doc %_kf5_docdir/HTML/*/kcontrol/screenlocker

#--------------------------------------------------------------------

%prep
%setup -q -n %name-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make_build

%install
%make_install -C build

#We need to expand libdir into startkde
sed -e 's,LIBDIR,%{_libdir},g' -i %buildroot/%_kf5_bindir/startkde

mkdir -p %buildroot%_sysconfdir/pam.d/
cp %{SOURCE1} %buildroot%_sysconfdir/pam.d/kde

mv %buildroot%_kf5_datadir/xsessions/plasma.desktop %buildroot%_kf5_datadir/xsessions/01plasma.desktop


pushd %buildroot%_kf5_datadir/plasma/look-and-feel
	cp -fr org.kde.breeze.desktop org.mageia.breeze.desktop
popd

# This is in mageia-plasma5-config
rm -frv %buildroot%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/splash
rm -frv %buildroot%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/contents/previews/splash.png
rm -frv %buildroot%_kf5_datadir/plasma/look-and-feel/org.mageia.breeze.desktop/metadata.desktop

%find_lang %name --all-name


%changelog
* Thu Jun 01 2017 wally <wally> 5.8.7-6.mga6
+ Revision: 1105702
- rebuild for new libqalculate

* Wed May 31 2017 neoclust <neoclust> 5.8.7-5.mga6
+ Revision: 1105679
- Fix xembedsniproxy to handle gtk2 apps
- Rebuild on armv7

* Sun May 28 2017 neoclust <neoclust> 5.8.7-3.mga6
+ Revision: 1105287
- Fix typo in conflicts

* Sat May 27 2017 neoclust <neoclust> 5.8.7-2.mga6
+ Revision: 1105192
- Add more conflicts to help upgrade

* Fri May 26 2017 neoclust <neoclust> 5.8.7-1.mga6
+ Revision: 1105037
- New version 5.8.7

* Thu May 18 2017 neoclust <neoclust> 5.8.6-11.mga6
+ Revision: 1103036
- Remove patches from yesterday

* Thu May 18 2017 neoclust <neoclust> 5.8.6-10.mga6
+ Revision: 1102907
- Sync with plasma 5.8 branch

* Sun May 14 2017 neoclust <neoclust> 5.8.6-9.mga6
+ Revision: 1101062
- Fix conflits (mga#20800)

* Thu Apr 20 2017 neoclust <neoclust> 5.8.6-8.mga6
+ Revision: 1096961
- Sync with 5.8 branch

* Sat Apr 01 2017 neoclust <neoclust> 5.8.6-7.2.mga6
+ Revision: 1095588
- Update to Plasma 5.8 Branch

* Mon Mar 27 2017 akien <akien> 5.8.6-7.mga6
+ Revision: 1094961
- BR XTest for xembedsniproxy patch
- Add upstream patch 109 to fix gtk+3 support in xembedsniproxy (bko#362941, mga#20397)

* Sun Mar 26 2017 neoclust <neoclust> 5.8.6-6.mga6
+ Revision: 1094891
- Add P108: Allow disabling OSD through config file

* Wed Mar 15 2017 neoclust <neoclust> 5.8.6-5.mga6
+ Revision: 1092875
- Sync with Plasma/5.8 branch

* Sat Mar 11 2017 neoclust <neoclust> 5.8.6-4.mga6
+ Revision: 1091816
- Sync with plasma 5.8 branch

* Fri Mar 10 2017 neoclust <neoclust> 5.8.6-3.mga6
+ Revision: 1091160
- Sync with 5.8.7 branch

* Wed Mar 08 2017 neoclust <neoclust> 5.8.6-2.mga6
+ Revision: 1089953
- Rebuild for arm
- New version 5.8.6

* Mon Feb 20 2017 neoclust <neoclust> 5.8.5-12.mga6
+ Revision: 1086987
- Use recommends for task-codec-*

* Fri Feb 17 2017 neoclust <neoclust> 5.8.5-11.mga6
+ Revision: 1086656
- Make sure we are able to use medias in default plasma

* Thu Feb 16 2017 neoclust <neoclust> 5.8.5-10.mga6
+ Revision: 1086416
- Requires kinfocenter

* Wed Feb 15 2017 neoclust <neoclust> 5.8.5-9.mga6
+ Revision: 1086230
- Fix "Plasmashell crashes when switching activity" bko#371858

* Mon Jan 23 2017 wally <wally> 5.8.5-7.mga6
+ Revision: 1083202
- fix KDE4 xsessions removal

* Sun Jan 22 2017 wally <wally> 5.8.5-6.mga6
+ Revision: 1083035
- remove KDE4 xsessions leftovers when upgrading from mga5 (mga#20154)

* Sun Jan 22 2017 daviddavid <daviddavid> 5.8.5-5.mga6
+ Revision: 1082995
- requires kde-gtk-config

* Sun Jan 15 2017 neoclust <neoclust> 5.8.5-4.mga6
+ Revision: 1081917
- Add oxygen-fonts requires

* Sat Dec 31 2016 neoclust <neoclust> 5.8.5-3.mga6
+ Revision: 1078903
- Obsolete kde-workspace

* Fri Dec 30 2016 neoclust <neoclust> 5.8.5-2.mga6
+ Revision: 1078726
- Fix conflict against kdebase4-workspace

* Tue Dec 27 2016 neoclust <neoclust> 5.8.5-1.mga6
+ Revision: 1078177
- New version 5.8.5

* Thu Dec 15 2016 daviddavid <daviddavid> 5.8.4-2.mga6
+ Revision: 1075318
- fix file list

* Mon Nov 28 2016 neoclust <neoclust> 5.8.4-1.mga6
+ Revision: 1070734
- New version 5.8.4

* Thu Nov 03 2016 neoclust <neoclust> 5.8.3-2.mga6
+ Revision: 1065074
- Rebuild against Qt 5.6.2

* Tue Nov 01 2016 neoclust <neoclust> 5.8.3-1.mga6
+ Revision: 1064495
- New version 5.8.3

* Sat Oct 22 2016 neoclust <neoclust> 5.8.2-1.mga6
+ Revision: 1063065
- New version 5.8.2
- New version 5.8.2

* Wed Oct 12 2016 neoclust <neoclust> 5.8.1-1.mga6
+ Revision: 1060290
- New version 5.8.1

* Sat Oct 01 2016 barjac <barjac> 5.8.0-2.mga6
+ Revision: 1057961
- fix conflict

* Thu Sep 29 2016 neoclust <neoclust> 5.8.0-1.mga6
+ Revision: 1057623
- New version 5.8.0

* Thu Sep 22 2016 neoclust <neoclust> 5.7.95-6.mga6
+ Revision: 1055180
- Do not define XDG_DATA_DIRS in startkde, it is already defined in env.sh

* Tue Sep 20 2016 daviddavid <daviddavid> 5.7.95-5.mga6
+ Revision: 1054752
- add upstream patch to fix plasma digitalclock issue (mga#19403)

* Tue Sep 20 2016 daviddavid <daviddavid> 5.7.95-4.mga6
+ Revision: 1054660
- rebase and re-enable konsole-in-contextmenu patch

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-3.mga6
+ Revision: 1053215
- Add missing deps

* Thu Sep 15 2016 neoclust <neoclust> 5.7.95-2.mga6
+ Revision: 1053207
- BR breeze
- New version 5.7.95

* Wed Sep 14 2016 neoclust <neoclust> 5.7.5-1.mga6
+ Revision: 1052701
- New version 5.7.5

* Thu Aug 25 2016 daviddavid <daviddavid> 5.7.4-2.mga6
+ Revision: 1048913
- rebuild to regenerate rpms

* Thu Aug 25 2016 neoclust <neoclust> 5.7.4-1.mga6
+ Revision: 1048864
- New version 5.7.4

* Mon Aug 08 2016 neoclust <neoclust> 5.7.3-6.mga6
+ Revision: 1044992
- Fix some default plasma issues ( mga#19152)

* Sun Aug 07 2016 neoclust <neoclust> 5.7.3-5.mga6
+ Revision: 1044904
- Create mageia desktop theme

* Sun Aug 07 2016 wally <wally> 5.7.3-4.mga6
+ Revision: 1044895
- rebuild for new libqalculate

* Sun Aug 07 2016 daviddavid <daviddavid> 5.7.3-3.mga6
+ Revision: 1044883
- rebuild for new libqalculate 0.9.9

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-2.mga6
+ Revision: 1044663
- Enable folderview by default

* Fri Aug 05 2016 neoclust <neoclust> 5.7.3-1.mga6
+ Revision: 1044481
- New version 5.7.3

* Sat Jul 30 2016 daviddavid <daviddavid> 5.7.2-4.mga6
+ Revision: 1044006
- add optional BR KF5Holidays to enable holidays plugin for Plasma Calendar

* Wed Jul 27 2016 daviddavid <daviddavid> 5.7.2-3.mga6
+ Revision: 1043780
- revert recent upstream systray icon resize (kde#365570)

* Fri Jul 22 2016 neoclust <neoclust> 5.7.2-2.mga6
+ Revision: 1043172
- Fix logic

* Tue Jul 19 2016 neoclust <neoclust> 5.7.2-1.mga6
+ Revision: 1042574
- New version 5.7.2

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-3.mga6
+ Revision: 1042369
- Fix typo in XDG_DATA_DIRS

* Sun Jul 17 2016 neoclust <neoclust> 5.7.1-2.mga6
+ Revision: 1042353
- Fix XDG_DATA_DIRS ( mga #17514)

* Wed Jul 13 2016 neoclust <neoclust> 5.7.1-1.mga6
+ Revision: 1041643
- New version 5.7.1

* Sat Jul 09 2016 neoclust <neoclust> 5.7.0-2.mga6
+ Revision: 1039918
- Add konsole back on menu options

* Fri Jul 08 2016 neoclust <neoclust> 5.7.0-1.mga6
+ Revision: 1039563
- New version 5.7.0

* Tue Jul 05 2016 tmb <tmb> 5.6.5.1-1.mga6
+ Revision: 1038846
- disable P1

  + neoclust <neoclust>
    - New version 5.6.5.1
    - New version 5.6.5
    - Add mageia default background

* Fri May 13 2016 neoclust <neoclust> 5.6.4-1.mga6
+ Revision: 1014556
- New version 5.6.4

* Fri May 06 2016 neoclust <neoclust> 5.6.3-2.mga6
+ Revision: 1009691
- Split out wayland support

* Wed May 04 2016 neoclust <neoclust> 5.6.3-1.mga6
+ Revision: 1009293
- New version 5.6.3

* Sat Apr 09 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 999836
- New version 5.6.2

* Sun Apr 03 2016 neoclust <neoclust> 5.6.1-1.mga6
+ Revision: 998032
- New version 5.6.1

* Wed Mar 23 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 994410
- New version 5.6.0
- Add plasma-integration as a deps

* Mon Mar 07 2016 neoclust <neoclust> 5.5.95-3.mga6
+ Revision: 986982
- Rebuild against kf5 5.20.0

* Thu Mar 03 2016 neoclust <neoclust> 5.5.95-2.mga6
+ Revision: 985055
- Build in bootstrap mode

* Wed Mar 02 2016 neoclust <neoclust> 5.5.95-1.mga6
+ Revision: 983758
- New version 5.5.95

* Wed Jan 27 2016 akien <akien> 5.5.4-1.mga6
+ Revision: 928047
- Drop upstreamed sniproxy patch

  + neoclust <neoclust>
    - New version 5.5.4

* Wed Jan 20 2016 neoclust <neoclust> 5.5.3-3.mga6
+ Revision: 925981
- Rename plasma session file to make sure it is listed first on KDE Install

* Mon Jan 18 2016 neoclust <neoclust> 5.5.3-2.mga6
+ Revision: 925385
- Add upstream patch to fix a crash in sniproxy ( mga #17516)

* Wed Jan 13 2016 neoclust <neoclust> 5.5.3-1.mga6
+ Revision: 922520
- New version 5.5.3

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-2.mga6
+ Revision: 915812
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.5.2-1.mga6
+ Revision: 915512
- New version 5.5.2
- Rebuild against Qt 5.6.0 Beta

* Wed Dec 16 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 911159
- Workaround a system icon tray issue in bug

* Tue Dec 15 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 910701
- New version 5.5.1
- Use %%name macro

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-3.mga6
+ Revision: 909015
- Disable boostrap

* Wed Dec 09 2015 neoclust <neoclust> 5.5.0-2.mga6
+ Revision: 908975
- Boostrap to allow to build plasma-desktop on ARM

* Tue Dec 08 2015 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 908862
- New version 5.5.0

* Fri Nov 20 2015 neoclust <neoclust> 5.4.95-2.mga6
+ Revision: 904492
- New version 5.4.95

* Sat Nov 14 2015 neoclust <neoclust> 5.4.90-6.mga6
+ Revision: 903091
- Fix font path

* Thu Nov 12 2015 neoclust <neoclust> 5.4.90-5.mga6
+ Revision: 902745
- Add icons ( breeze and oxygen ) MGA#17136 and MGA#17137

* Tue Nov 10 2015 neoclust <neoclust> 5.4.90-4.mga6
+ Revision: 900744
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-3.mga6
+ Revision: 899896
- Fix startkde

* Mon Nov 09 2015 neoclust <neoclust> 5.4.90-2.mga6
+ Revision: 899696
- Rebuild against fixed extra-cmake-modules
- New version 5.4.90
- New version 5.4.90

* Sun Oct 25 2015 neoclust <neoclust> 5.4.2-3.mga6
+ Revision: 895078
- Remove documentation dupplicate with handbook rpm

* Sat Oct 24 2015 neoclust <neoclust> 5.4.2-2.mga6
+ Revision: 894853
- Do not patch startkde

* Sun Oct 11 2015 neoclust <neoclust> 5.4.2-1.mga6
+ Revision: 889542
- New version 5.4.2
- New version 5.4.2

* Mon Sep 28 2015 neoclust <neoclust> 5.4.1-6.mga6
+ Revision: 884320
- Make sure we install the good version of desktop-common-data first
- Make sure we require the good desktop-common-data

* Sat Sep 19 2015 neoclust <neoclust> 5.4.1-4.mga6
+ Revision: 881287
- Make sure to remove the old session desktop file

* Thu Sep 17 2015 neoclust <neoclust> 5.4.1-3.mga6
+ Revision: 880117
- Do not export QML Path anymore

* Mon Sep 14 2015 neoclust <neoclust> 5.4.1-2.mga6
+ Revision: 879294
- Use upstream xsessions files

* Thu Sep 10 2015 neoclust <neoclust> 5.4.1-1.mga6
+ Revision: 875385
- New version 5.4.1

* Wed Aug 26 2015 neoclust <neoclust> 5.4.0-1.mga6
+ Revision: 869713
- New version 5.4.0
- New version 5.4.0

* Tue Aug 18 2015 neoclust <neoclust> 5.3.95-8.mga6
+ Revision: 865406
- Do not use %%_kf5_datadir/xsessions/plasma.desktop Yet!

* Mon Aug 17 2015 neoclust <neoclust> 5.3.95-7.mga6
+ Revision: 865398
- Try to use upstream %%_kf5_datadir/xsessions/plasma.desktop

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-6.mga6
+ Revision: 864104
- Fix bluez applet

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-5.mga6
+ Revision: 864103
- Fix requires to have plasmabar visible

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-4.1.mga6
+ Revision: 864089
- Rebuild with plasma-desktop support

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-4.mga6
+ Revision: 863499
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-3.mga6
+ Revision: 863486
- Workaround dbus interface path

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-2.mga6
+ Revision: 863474
- Workaround dbus interface path

* Wed Aug 12 2015 neoclust <neoclust> 5.3.95-1.mga6
+ Revision: 863464
- New version 5.4 Beta1
- New version 5.3.95

* Sat Aug 01 2015 neoclust <neoclust> 5.3.2-11.mga6
+ Revision: 860252
- Fix conflicts against kdebase4-workspace

* Sun Jul 26 2015 neoclust <neoclust> 5.3.2-10.mga6
+ Revision: 858160
- Add back konsole patch

* Sat Jul 18 2015 lmenut <lmenut> 5.3.2-9.mga6
+ Revision: 855171
- fix BuildRequires, Requires & Provides

* Wed Jul 08 2015 neoclust <neoclust> 5.3.2-8.mga6
+ Revision: 852679
- Do not obsoletes kde4 devel package

* Tue Jul 07 2015 lmenut <lmenut> 5.3.2-7.mga6
+ Revision: 852274
- fix Provides, Obsoletes & Conflicts

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-6.mga6
+ Revision: 852270
- Try to fix update

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-5.mga6
+ Revision: 851871
- Try to better obsoletes workspace

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-4.mga6
+ Revision: 851850
- Remove confict

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-3.mga6
+ Revision: 851762
- Obsolete devel and handbook too

* Mon Jul 06 2015 neoclust <neoclust> 5.3.2-2.mga6
+ Revision: 851755
- Obsolete kdebase4-workspace

* Sat Jul 04 2015 neoclust <neoclust> 5.3.2-1.mga6
+ Revision: 850167
- New version 5.3.2

* Mon Feb 23 2015 lmenut <lmenut> 5.1.2-9.mga5
+ Revision: 816621
- fix only CVE-2015-1307 for now
- CVE-2015-1308 is hardly fixable in 5.1.x

  + luigiwalser <luigiwalser>
    - add missing BR kwayland-devel, needed to build screenlocker
    - rediff upstream patches to fix CVE-2015-1307 and CVE-2015-1308

* Fri Jan 09 2015 sander85 <sander85> 5.1.2-8.mga5
+ Revision: 809547
- Fix typo introduced in r808414

* Thu Jan 08 2015 lmenut <lmenut> 5.1.2-7.mga5
+ Revision: 809489
- add requires desktop-common-data
- startkde: fix XDG_CONFIG_DIRS
- startkde: fix XDG_MENU_PREFIX
- add upstream patch to fix startup with dbus >= 1.8.14 (mga#14963)
- fix bootstrap
- add DesktopNames to Plasma session config

* Sun Jan 04 2015 neoclust <neoclust> 5.1.2-6.mga5
+ Revision: 808414
- Fix session unlocking

* Tue Dec 30 2014 sander85 <sander85> 5.1.2-5.mga5
+ Revision: 807274
- Device Notifier needs udisks2 to work properly

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-4.mga5
+ Revision: 804388
- Fix bootstrap logic

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-3.mga5
+ Revision: 804387
- As libkworkspace name changed, we need to bootstrap build

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-2.mga5
+ Revision: 804383
- Relax requires

* Sat Dec 20 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804363
- Rediff P1
- New version

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-17.mga5
+ Revision: 793591
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-16.mga5
+ Revision: 745584
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-15.mga5
+ Revision: 687636
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 neoclust <neoclust> 5.0.1-14.mga5
+ Revision: 668533
- Requires oxygen-icon-theme
- Rename plasma conf file

* Tue Aug 26 2014 neoclust <neoclust> 5.0.1-13.mga5
+ Revision: 668349
- Add frameworkintegration as require

* Tue Aug 26 2014 neoclust <neoclust> 5.0.1-12.mga5
+ Revision: 668345
- Add kservice as require

* Fri Aug 22 2014 neoclust <neoclust> 5.0.1-11.mga5
+ Revision: 666404
- Add qtgraphicaleffects5 as deps for kicker menu

* Mon Aug 18 2014 neoclust <neoclust> 5.0.1-10.mga5
+ Revision: 665083
- More fixes regarding plugin location

* Sun Aug 17 2014 neoclust <neoclust> 5.0.1-9.mga5
+ Revision: 664905
- Add minimal requires
  Fix path in startkde

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-8.mga5
+ Revision: 663973
- Adapt to packages renaming

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-7.mga5
+ Revision: 663157
- Requires kf5-libkscreen

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-6.mga5
+ Revision: 663143
- Requires kf5-kwin

* Fri Aug 15 2014 neoclust <neoclust> 5.0.1-5.mga5
+ Revision: 662787
- Add breeze as minimum require
- Add solid as minimum require

* Thu Aug 14 2014 luigiwalser <luigiwalser> 5.0.1-4.mga5
+ Revision: 662552
- remove requires on kcontrol

* Thu Aug 14 2014 neoclust <neoclust> 5.0.1-3.mga5
+ Revision: 662470
- Use kf5 macros not kde4 one

* Thu Aug 14 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 662450
- Add more requires

* Wed Aug 13 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 662325
- New version 5.0.1
- Add minimal requires
- Workaround  start plasmashell issue
- Remove useless plasma.desktop file, we generate it via filetriggers

* Mon Jul 28 2014 neoclust <neoclust> 5.0.0-11.mga5
+ Revision: 657677
- Fix devel package name

* Sun Jul 27 2014 neoclust <neoclust> 5.0.0-10.mga5
+ Revision: 657649
- Enable translations

* Fri Jul 25 2014 neoclust <neoclust> 5.0.0-9.mga5
+ Revision: 656518
- Requires oxygen

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-8.mga5
+ Revision: 655649
- Add DM File
- Customize startkde

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-7.mga5
+ Revision: 655615
- Fix Requires

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-6.mga5
+ Revision: 655614
- Fix Requires

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-5.mga5
+ Revision: 655555
- Fix libexecdir path

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-4.mga5
+ Revision: 655437
- Require main package in the devel

* Tue Jul 22 2014 neoclust <neoclust> 5.0.0-3.mga5
+ Revision: 655388
- Use kf5 devel file instead of KDE4 one

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655382
- Add more BuildRequires

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 655373
- imported package plasma-workspace

